Package owl.translations.ltl2ldba

## Class SymmetricLDBAConstruction<B extends GeneralizedBuchiAcceptance>

- java.lang.Object
- - owl.translations.ltl2ldba.SymmetricLDBAConstruction<B>

- All Implemented Interfaces:
    `Function<LabelledFormula,​AnnotatedLDBA<Map<Integer,​EquivalenceClass>,​SymmetricProductState,​B,​SortedSet<SymmetricEvaluatedFixpoints>,​BiFunction<Integer,​EquivalenceClass,​Set<SymmetricProductState>>>>`

      public final class SymmetricLDBAConstruction<B extends GeneralizedBuchiAcceptance>
      extends Object
      implements Function<LabelledFormula,​AnnotatedLDBA<Map<Integer,​EquivalenceClass>,​SymmetricProductState,​B,​SortedSet<SymmetricEvaluatedFixpoints>,​BiFunction<Integer,​EquivalenceClass,​Set<SymmetricProductState>>>>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotatedLDBA<Map<Integer,​EquivalenceClass>,​SymmetricProductState,​B,​SortedSet<SymmetricEvaluatedFixpoints>,​BiFunction<Integer,​EquivalenceClass,​Set<SymmetricProductState>>>` | `apply​(LabelledFormula input)` |
    `static <B extends GeneralizedBuchiAcceptance> SymmetricLDBAConstruction<B>` | `of​(Environment environment, Class<? extends B> clazz)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Method Detail

    - #### of

          public static <B extends GeneralizedBuchiAcceptance> SymmetricLDBAConstruction<B> of​(Environment environment,
                                                                                               Class<? extends B> clazz)

    - #### apply

          public AnnotatedLDBA<Map<Integer,​EquivalenceClass>,​SymmetricProductState,​B,​SortedSet<SymmetricEvaluatedFixpoints>,​BiFunction<Integer,​EquivalenceClass,​Set<SymmetricProductState>>> apply​(LabelledFormula input)

      Specified by:
        `apply` in interface `Function<LabelledFormula,​AnnotatedLDBA<Map<Integer,​EquivalenceClass>,​SymmetricProductState,​B extends GeneralizedBuchiAcceptance,​SortedSet<SymmetricEvaluatedFixpoints>,​BiFunction<Integer,​EquivalenceClass,​Set<SymmetricProductState>>>>`